UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
uhd::type_error Struct Reference

`#include <exception.hpp>`

Inheritance diagram for uhd::type_error:

## Public Member Functions
| type_error (const std::string &what)
virtual unsigned | code (void) const
virtual type_error * | dynamic_clone (void) const
virtual void | dynamic_throw (void) const
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Constructor & Destructor Documentation

uhd::type_error::type_error | ( | const std::string & | what | ) |

## Member Function Documentation

virtual unsigned uhd::type_error::code | ( | void |  | ) | const
| virtual

Implements uhd::exception.

virtual type_error* uhd::type_error::dynamic_clone | ( | void |  | ) | const
| virtual

Implements uhd::exception.

virtual void uhd::type_error::dynamic_throw | ( | void |  | ) | const
| virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- include/uhd/exception.hpp